Subject: Re: [PATCH 0/4] Fix file locking with retry and timeout on Windows

From: Michael Haggerty <[email-masked]>
Date: Fri, 05 Jun 2015 22:14:39 +0200

On 06/05/2015 09:45 PM, Johannes Sixt wrote:
> The first patch is the same that I posted earlier. It fixes a build
> failure on Windows on master due to missing random/srandom.
> 
> The remaining 3 patches replace the select() invocation that waits
> for a short time period by the version with poll() that we already
> use in help.c. This is necessary because a select() call where all
> three sets of file descriptors are empty is not supported on Windows.
> 
> Johannes Sixt (4):
>   lockfile: replace random() by rand()
>   help.c: wrap wait-only poll() invocation in sleep_millisec()
>   lockfile: convert retry timeout computations to millisecond
>   lockfile: wait using sleep_millisec() instead of select()
> 
>  cache.h    |  1 +
>  help.c     |  2 +-
>  lockfile.c | 31 +++++++++----------------------
>  wrapper.c  |  5 +++++
>  4 files changed, 16 insertions(+), 23 deletions(-)

The whole series looks good to me. Johannes, thanks for taking care of this.

Michael

-- 
Michael Haggerty
[email-masked]